com.amazonaws.services.machinelearning.model

## Class CreateDataSourceFromS3Request

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.CreateDataSourceFromS3Request

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateDataSourceFromS3Request
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateDataSourceFromS3Request()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDataSourceFromS3Request` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getComputeStatistics()` The compute statistics for a `DataSource`.
`String` `getDataSourceId()` A user-supplied identifier that uniquely identifies the `DataSource`.
`String` `getDataSourceName()` A user-supplied name or description of the `DataSource`.
`S3DataSpec` `getDataSpec()` The data specification of a `DataSource`:
`int` `hashCode()`
`Boolean` `isComputeStatistics()` The compute statistics for a `DataSource`.
`void` `setComputeStatistics(Boolean computeStatistics)` The compute statistics for a `DataSource`.
`void` `setDataSourceId(String dataSourceId)` A user-supplied identifier that uniquely identifies the `DataSource`.
`void` `setDataSourceName(String dataSourceName)` A user-supplied name or description of the `DataSource`.
`void` `setDataSpec(S3DataSpec dataSpec)` The data specification of a `DataSource`:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDataSourceFromS3Request` `withComputeStatistics(Boolean computeStatistics)` The compute statistics for a `DataSource`.
`CreateDataSourceFromS3Request` `withDataSourceId(String dataSourceId)` A user-supplied identifier that uniquely identifies the `DataSource`.
`CreateDataSourceFromS3Request` `withDataSourceName(String dataSourceName)` A user-supplied name or description of the `DataSource`.
`CreateDataSourceFromS3Request` `withDataSpec(S3DataSpec dataSpec)` The data specification of a `DataSource`:

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDataSourceFromS3Request

    public CreateDataSourceFromS3Request()

### Method Detail

#### setDataSourceId

    public void setDataSourceId(String dataSourceId)

A user-supplied identifier that uniquely identifies the `DataSource`.

Parameters:
  `dataSourceId` - A user-supplied identifier that uniquely identifies the `DataSource`.

#### getDataSourceId

    public String getDataSourceId()

A user-supplied identifier that uniquely identifies the `DataSource`.

Returns:
  A user-supplied identifier that uniquely identifies the `DataSource`.

#### withDataSourceId

    public CreateDataSourceFromS3Request withDataSourceId(String dataSourceId)

A user-supplied identifier that uniquely identifies the `DataSource`.

Parameters:
  `dataSourceId` - A user-supplied identifier that uniquely identifies the `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataSourceName

    public void setDataSourceName(String dataSourceName)

A user-supplied name or description of the `DataSource`.

Parameters:
  `dataSourceName` - A user-supplied name or description of the `DataSource`.

#### getDataSourceName

    public String getDataSourceName()

A user-supplied name or description of the `DataSource`.

Returns:
  A user-supplied name or description of the `DataSource`.

#### withDataSourceName

    public CreateDataSourceFromS3Request withDataSourceName(String dataSourceName)

A user-supplied name or description of the `DataSource`.

Parameters:
  `dataSourceName` - A user-supplied name or description of the `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataSpec

    public void setDataSpec(S3DataSpec dataSpec)

The data specification of a `DataSource`:

- DataLocationS3 - The Amazon S3 location of the observation data.

- DataSchemaLocationS3 - The Amazon S3 location of the `DataSchema`.

- DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

- DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

  Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Parameters:
  `dataSpec` - The data specification of a `DataSource`:

  - DataLocationS3 - The Amazon S3 location of the observation data.

  - DataSchemaLocationS3 - The Amazon S3 location of the `DataSchema`.

  - DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

  - DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

    Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

#### getDataSpec

    public S3DataSpec getDataSpec()

The data specification of a `DataSource`:

- DataLocationS3 - The Amazon S3 location of the observation data.

- DataSchemaLocationS3 - The Amazon S3 location of the `DataSchema`.

- DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

- DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

  Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Returns:
  The data specification of a `DataSource`:

  - DataLocationS3 - The Amazon S3 location of the observation data.

  - DataSchemaLocationS3 - The Amazon S3 location of the `DataSchema`.

  - DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

  - DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

    Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

#### withDataSpec

    public CreateDataSourceFromS3Request withDataSpec(S3DataSpec dataSpec)

The data specification of a `DataSource`:

- DataLocationS3 - The Amazon S3 location of the observation data.

- DataSchemaLocationS3 - The Amazon S3 location of the `DataSchema`.

- DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

- DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

  Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Parameters:
  `dataSpec` - The data specification of a `DataSource`:

  - DataLocationS3 - The Amazon S3 location of the observation data.

  - DataSchemaLocationS3 - The Amazon S3 location of the `DataSchema`.

  - DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

  - DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

    Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeStatistics

    public void setComputeStatistics(Boolean computeStatistics)

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Parameters:
  `computeStatistics` - The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.

#### getComputeStatistics

    public Boolean getComputeStatistics()

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Returns:
  The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.

#### withComputeStatistics

    public CreateDataSourceFromS3Request withComputeStatistics(Boolean computeStatistics)

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Parameters:
  `computeStatistics` - The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isComputeStatistics

    public Boolean isComputeStatistics()

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Returns:
  The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDataSourceFromS3Request clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`